* ADDS COUNTRIES TO THE EXISTING CODE FOR THE OLD NORTH-SOUTH CLASSIFICATION 
/* See appendix table 1 for the list of Offshore Centers. 
********************************
*North Countries (including OFCS)
*********************************	
Andorra Finland	Iceland	Liechtenstein  Norway	    Sweden
Austria	France	Ireland	Luxembourg	   Portugal	    Switzerland
Belgium	Germany	Italy	Monaco	       San Marino	United Kingdom
Canada	Greece	Japan	Netherlands	   Spain	    United States
Denmark

		The new BIS AE classification also 
		- allocates 15 OFCs to the North (irrelevant if OFCs are dropped )
		- and puts 21 South countries in the North, because they are advanced all along, or have an AE governing state:
		Australia	
		Bonaire, Saint Eustatius and Saba	
		Curacao	
		Estonia	
		Falkland Islands	
		Faroe Islands	
		Greenland	
		Lithuania	
		Latvia	
		Malta	
		New Caledonia	
		New Zealand	
		Netherlands Antilles	
		French Polynesia	
		US Pacific islands	
		St. Helena	
		Slovenia	
		Slovakia	
		Sint Maarten (Dutch part)	
		Vatican City State	
		Wallis and Futuna
*/

*North countries (including offshore centers)
**************************************************
gen n1_acq =0
replace n1_acq=1 if acq=="AND" |acq=="AUT" |acq=="BEL" |acq=="CAN" |acq=="DNK" |acq=="FIN" |acq=="FRA" |acq=="DEU" |acq=="GRC" |acq=="ISL" |acq=="IRL" |acq=="ITA" |acq=="JPN" |acq=="LIE" |acq=="LUX" |acq=="MCO" | ///
acq=="NLD" |acq=="NOR" |acq=="PRT" |acq=="SMR" |acq=="ESP" |acq=="SWE" |acq=="CHE" |acq=="GBR" |acq=="USA" 

* Additional countries in North based on BIS classification (including OFCs) 
	replace n1_acq=1 if inlist(acq,"ABW","AIA","AND","ANT","AUS","BES","BMU","CUW","CYM")
	replace n1_acq=1 if inlist(acq,"CYP","EST","FLK","FRO","GGY","GIB","GRL","IMN","JEY")
	replace n1_acq=1 if inlist(acq,"LIE","LTU","LVA","MLT","MSR","NCL","NZL","PUS","PYF")
	replace n1_acq=1 if inlist(acq,"SHN","SVK","SVN","SXM","TCA","VAT","VGB","WIN","WLF")


gen n1_tgt =0
replace n1_tgt=1 if tgt=="AND" |tgt=="AUT" |tgt=="BEL" |tgt=="CAN" |tgt=="DNK" |tgt=="FIN" |tgt=="FRA" |tgt=="DEU" |tgt=="GRC" |tgt=="ISL" |tgt=="IRL" |tgt=="ITA" |tgt=="JPN" |tgt=="LIE" |tgt=="LUX" |tgt=="MCO" | ///
tgt=="NLD" |tgt=="NOR" |tgt=="PRT" |tgt=="SMR" |tgt=="ESP" |tgt=="SWE" |tgt=="CHE" |tgt=="GBR" |tgt=="USA" 

* Same for target: Additional countries in North based on BIS classification (including OFCs) 
	replace n1_tgt=1 if inlist(tgt,"ABW","AIA","AND","ANT","AUS","BES","BMU","CUW","CYM")
	replace n1_tgt=1 if inlist(tgt,"CYP","EST","FLK","FRO","GGY","GIB","GRL","IMN","JEY")
	replace n1_tgt=1 if inlist(tgt,"LIE","LTU","LVA","MLT","MSR","NCL","NZL","PUS","PYF")
	replace n1_tgt=1 if inlist(tgt,"SHN","SVK","SVN","SXM","TCA","VAT","VGB","WIN","WLF")

	* Note that the additional North countries include reallocated OFCs. 
	* If we want to continue excluding OFCs, we can run the script below unchanged. 
	

*Offshore Centers (25)			<--- UNCHANGED
**********************
g OFC_acq = 0
replace OFC_acq =1  if acq=="AND" | acq=="AIA" | acq=="ABW" | acq=="BHS" | acq=="BLZ" | acq=="BMU" | acq=="VGB" | acq=="CYM" | acq=="COK" | acq=="CYP" | acq=="GIB" | acq=="GGY" | acq=="IMN" | acq=="JEY" | ///
acq=="LIE" | acq=="MAC" | acq=="MCO" | acq=="MSR" | acq=="ANT" | acq=="PLW" | acq=="PAN" | acq=="WSM" | acq=="SYC" | acq=="TCA" | acq=="VUT" 
g OFC_tgt = 0
replace OFC_tgt =1  if tgt=="AND" | tgt=="AIA" | tgt=="ABW" | tgt=="BHS" | tgt=="BLZ" | tgt=="BMU" | tgt=="VGB" | tgt=="CYM" | tgt=="COK" | tgt=="CYP" | tgt=="GIB" | tgt=="GGY" | tgt=="IMN" | tgt=="JEY" | ///
tgt=="LIE" | tgt=="MAC" | tgt=="MCO" | tgt=="MSR" | tgt=="ANT" | tgt=="PLW" | tgt=="PAN" | tgt=="WSM" | tgt=="SYC" | tgt=="TCA" | tgt=="VUT" 


*Excluding Offshore centers from North Countries
**********************************************
replace n1_acq =0 if OFC_acq ==1
replace n1_tgt =0 if OFC_tgt ==1

*South countries (excluding offshore centers)
*********************************************************
g s1_acq=0
replace s1_acq=1 if n1_acq==0  & OFC_acq ==0
g s1_tgt=0
replace s1_tgt=1 if n1_tgt==0  & OFC_tgt ==0
	


	
	