/* Separating between North (ex OFCs), South in different forms (ex OFCs), and Offshore Centers (OFCs): 

Alternative way to separate North - South and OFCs countries. Source: LMF based on IMF WEO April 2010
*/

*North Countries (High income definition including offshore centers)
**************************************************
gen n1_acq =0
replace n1_acq=1 if acq=="AND" |acq=="AUT" |acq=="BEL" |acq=="CAN" |acq=="DNK" |acq=="FIN" |acq=="FRA" |acq=="DEU" |acq=="GRC" |acq=="ISL" |acq=="IRL" |acq=="ITA" |acq=="JPN" |acq=="LIE" |acq=="LUX" |acq=="MCO" | ///
acq=="NLD" |acq=="NOR" |acq=="PRT" |acq=="SMR" |acq=="ESP" |acq=="SWE" |acq=="CHE" |acq=="GBR" |acq=="USA" 

* Additional countries in North based on BIS classification (including OFCs) 
	replace n1_acq=1 if inlist(acq,"ABW","AIA","AND","ANT","AUS","BES","BMU","CUW","CYM")
	replace n1_acq=1 if inlist(acq,"CYP","EST","FLK","FRO","GGY","GIB","GRL","IMN","JEY")
	replace n1_acq=1 if inlist(acq,"LIE","LTU","LVA","MLT","MSR","NCL","NZL","PUS","PYF")
	replace n1_acq=1 if inlist(acq,"SHN","SVK","SVN","SXM","TCA","VAT","VGB","WIN","WLF")

gen n1_tgt =0
replace n1_tgt=1 if tgt=="AND" |tgt=="AUT" |tgt=="BEL" |tgt=="CAN" |tgt=="DNK" |tgt=="FIN" |tgt=="FRA" |tgt=="DEU" |tgt=="GRC" |tgt=="ISL" |tgt=="IRL" |tgt=="ITA" |tgt=="JPN" |tgt=="LIE" |tgt=="LUX" |tgt=="MCO" | ///
tgt=="NLD" |tgt=="NOR" |tgt=="PRT" |tgt=="SMR" |tgt=="ESP" |tgt=="SWE" |tgt=="CHE" |tgt=="GBR" |tgt=="USA" 

* Same for target: Additional countries in North based on BIS classification (including OFCs) 
	replace n1_tgt=1 if inlist(tgt,"ABW","AIA","AND","ANT","AUS","BES","BMU","CUW","CYM")
	replace n1_tgt=1 if inlist(tgt,"CYP","EST","FLK","FRO","GGY","GIB","GRL","IMN","JEY")
	replace n1_tgt=1 if inlist(tgt,"LIE","LTU","LVA","MLT","MSR","NCL","NZL","PUS","PYF")
	replace n1_tgt=1 if inlist(tgt,"SHN","SVK","SVN","SXM","TCA","VAT","VGB","WIN","WLF")

	* Note that the additional North countries include reallocated OFCs. 
	* If we want to continue excluding OFCs, we can run the script below unchanged. 

*Offshore Centers (25)
**********************
gen OFC_acq = 0
replace OFC_acq =1  if acq=="AND" | acq=="AIA" | acq=="ABW" | acq=="BHS" | acq=="BLZ" | acq=="BMU" | acq=="VGB" | acq=="CYM" | acq=="COK" | acq=="CYP" | acq=="GIB" | acq=="GGY" | acq=="IMN" | acq=="JEY" | ///
acq=="LIE" | acq=="MAC" | acq=="MCO" | acq=="MSR" | acq=="ANT" | acq=="PLW" | acq=="PAN" | acq=="WSM" | acq=="SYC" | acq=="TCA" | acq=="VUT" 
gen OFC_tgt = 0
replace OFC_tgt =1  if tgt=="AND" | tgt=="AIA" | tgt=="ABW" | tgt=="BHS" | tgt=="BLZ" | tgt=="BMU" | tgt=="VGB" | tgt=="CYM" | tgt=="COK" | tgt=="CYP" | tgt=="GIB" | tgt=="GGY" | tgt=="IMN" | tgt=="JEY" | ///
tgt=="LIE" | tgt=="MAC" | tgt=="MCO" | tgt=="MSR" | tgt=="ANT" | tgt=="PLW" | tgt=="PAN" | tgt=="WSM" | tgt=="SYC" | tgt=="TCA" | tgt=="VUT" 

*Excluding Offshore centers from North Countries
**********************************************
replace n1_acq =0 if OFC_acq ==1
replace n1_tgt =0 if OFC_tgt ==1

*South countries (excluding offshore centers)
*********************************************************
g s1_acq=0
replace s1_acq=1 if n1_acq==0 & OFC_acq ==0
g s1_tgt=0
replace s1_tgt=1 if n1_tgt==0 & OFC_tgt ==0

********************************************************************************
* Subregions
********************************************************************************
*Africa + Sudan + Somalia
**************************************************
gen africa_acq=0
inlist2 acq, values(AGO, BEN, BWA, BFA, BDI, CMR, CPV, CAF, TCD, COM, COD, COG, CIV, DJI, GNQ, ERI, ETH, GAB, GMB, GHA, GIN, GNB, KEN, LSO, LBR, MDG, MWI, MLI, MRT, MUS, MOZ, NAM, NER, NGA, RWA, STP, SEN, SYC, SLE, ZAF, SSD, SUD, SWZ, TZA, TGO, UGA, ZMB, ZWE, SDN, SOM)
replace africa_acq=1 if inlist2==1 & OFC_acq ==0 & n1_acq ==0
drop inlist2

gen africa_tgt=0
inlist2 tgt, values(AGO, BEN, BWA, BFA, BDI, CMR, CPV, CAF, TCD, COM, COD, COG, CIV, DJI, GNQ, ERI, ETH, GAB, GMB, GHA, GIN, GNB, KEN, LSO, LBR, MDG, MWI, MLI, MRT, MUS, MOZ, NAM, NER, NGA, RWA, STP, SEN, SYC, SLE, ZAF, SSD, SUD, SWZ, TZA, TGO, UGA, ZMB, ZWE, SDN, SOM)
replace africa_tgt=1 if inlist2==1 & OFC_tgt ==0 & n1_tgt ==0
drop inlist2

*Caribbean + Barbados + Cuba + Puerto Rico + Virgin Islands (US)
**************************************************
gen caribbean_acq=0
inlist2 acq, values(ATG, BLZ, DMA, GRD, GUY, JAM, KNA, LCA, VCT, TTO, BRB, CUB, PRI, VIR)
replace caribbean_acq=1 if inlist2==1 & OFC_acq ==0 & n1_acq ==0
drop inlist2

gen caribbean_tgt=0
inlist2 tgt, values(ATG, BLZ, DMA, GRD, GUY, JAM, KNA, LCA, VCT, TTO, BRB, CUB, PRI, VIR)
replace caribbean_tgt=1 if inlist2==1 & OFC_tgt ==0 & n1_tgt ==0
drop inlist2
*LATAM + Suriname
**************************************************
gen latam_acq=0
inlist2 acq, values(ARG, BOL, BRA, CHL, COL, CRI, DOM, ECU, SLV, GTM, HTI, HND, MEX, NIC, PAN, PRY, PER, URY, VEN, SUR)
replace latam_acq=1 if inlist2==1 & OFC_acq ==0 & n1_acq ==0
drop inlist2

gen latam_tgt=0
inlist2 tgt, values(ARG, BOL, BRA, CHL, COL, CRI, DOM, ECU, SLV, GTM, HTI, HND, MEX, NIC, PAN, PRY, PER, URY, VEN, SUR)
replace latam_tgt=1 if inlist2==1 & OFC_tgt ==0 & n1_tgt ==0
drop inlist2 

*Commonwealth of Independent States (CIS)
**************************************************
gen cis_acq=0
inlist2 acq, values(ARM, AZE, GEO, KAZ, KGZ, RUS, TJK, TKM, UZB, MNG)
replace cis_acq=1 if inlist2==1 & OFC_acq ==0 & n1_acq ==0
drop inlist2

gen cis_tgt=0
inlist2 tgt, values(ARM, AZE, GEO, KAZ, KGZ, RUS, TJK, TKM, UZB, MNG)
replace cis_tgt=1 if inlist2==1 & OFC_tgt ==0 & n1_tgt ==0
drop inlist2

*Emerging Asia + Afghanistan + America Samoa + Tuvalu
**************************************************
gen asia_acq=0
inlist2 acq, values(BGD, BTN, BRN, KHM, CHN, FJI, HKG, IND, IDN, KIR, KOR, PRK, LAO, MAC, MYS, MDV, MMR, NPL, PAK, PNG, PHL, WSM, SGP, SLB, LKA, TWN, THA, TLS, TON, VUT, VNM, AFG, ASM, TUV)
replace asia_acq=1 if inlist2==1 & OFC_acq ==0 & n1_acq ==0
drop inlist2

gen asia_tgt=0
inlist2 tgt, values(BGD, BTN, BRN, KHM, CHN, FJI, HKG, IND, IDN, KIR, KOR, PRK, LAO, MAC, MYS, MDV, MMR, NPL, PAK, PNG, PHL, WSM, SGP, SLB, LKA, TWN, THA, TLS, TON, VUT, VNM, AFG, ASM, TUV)
replace asia_tgt=1 if inlist2==1 & OFC_tgt ==0 & n1_tgt ==0
drop inlist2

*Emerging Europe + Malta + North Macedonia + Montenegro + Kosovo (exclud. Cyprus, Estonia, Lithuania, Latvia and Slovakia)
**************************************************
gen europe_acq=0
inlist2 acq, values(ALB, BLR, BIH, BGR, HRV, CZE, HUN, MDA, POL, ROU, SRB, TUR, UKR, MKD, MNE, XKX )
replace europe_acq=1 if inlist2==1
drop inlist2

gen europe_tgt=0
inlist2 tgt, values(ALB, BLR, BIH, BGR, HRV, CZE, HUN , MDA, POL, ROU, SRB, TUR, UKR, MKD, MNE, XKX)
replace europe_tgt=1 if inlist2==1
drop inlist2

* Middle East and North Africa: (MENA) + ISRAEL + Iraq + West bank and Gaza
**************************************************
gen mena_acq=0
inlist2 acq, values(BHR, IRN, JOR, KWT, LBN, OMN, QAT, SAU, SYR, ARE, EGY, YEM, DZA, LBY, MAR, TUN, ISR, IRQ, PSE)
replace mena_acq=1 if inlist2==1 & OFC_acq ==0 & n1_acq ==0
drop inlist2

gen mena_tgt=0
inlist2 tgt, values(BHR, IRN, JOR, KWT, LBN, OMN, QAT, SAU, SYR, ARE, EGY, YEM, DZA, LBY, MAR, TUN, ISR, IRQ, PSE)
replace mena_tgt=1 if inlist2==1 & OFC_tgt ==0 & n1_tgt ==0
drop inlist2

* New groups (3) and Asia
**********************
* CIS - East europe
gen CIS_EUR_acq=1 if cis_acq==1 | europe_acq==1
replace CIS_EUR_acq=0 if CIS_EUR_acq==.

gen CIS_EUR_tgt=1 if cis_tgt==1 | europe_tgt==1
replace CIS_EUR_tgt=0 if CIS_EUR_tgt==.

* Africa - Middle East and North Africa
gen AFR_MENA_acq=1 if mena_acq==1 | africa_acq==1
replace AFR_MENA_acq=0 if AFR_MENA_acq==.

gen AFR_MENA_tgt=1 if mena_tgt==1 | africa_tgt==1
replace AFR_MENA_tgt=0 if AFR_MENA_tgt==.

* Latin America and Caribbean Countries	
gen LAT_CAR_acq=1 if latam_acq==1 | caribbean_acq==1
replace LAT_CAR_acq=0 if LAT_CAR_acq==.

gen LAT_CAR_tgt=1 if latam_tgt==1 | caribbean_tgt==1
replace LAT_CAR_tgt=0 if LAT_CAR_tgt==.

* Not classified "Other countries"
********************
inlist2 acq, values(ATF, CCK, CXR, ESH, FSM, GLP,GUF,GUM, MHL, MTQ,MYT,NFK,NIU,NRU,PCN,REU,SPM,TKL)
replace s1_acq = . if inlist2 == 1 
drop inlist2

inlist2 tgt, values(ATF, CCK, CXR, ESH, FSM, GLP,GUF,GUM, MHL, MTQ,MYT,NFK,NIU,NRU,PCN,REU,SPM,TKL)
replace s1_tgt = . if inlist2 == 1
drop inlist2
