********************************************************************************
* Title: Tables and Figures for IBS public database
* Paper: Bilateral International Investments: The Big Sur?
* Last update: June 14 2023
* Author: Paolo Sabella & Esteban Espinoza
********************************************************************************
/*
The following dofile replicates the tables which we use in the Paper for Banking at Region-to-Region aggregation.
- Due of confidentiality, BIS cannot provide Country-to-Country database.
- Public data are attached. It is not required to run first the do file: 00_Data_preparation.do
- Only intensive margin are replicable. Extensive margin are biased due the mask of data.
*/

* 0. Define Directory, globals and others.
********************************************************************************
clear all
global Input "${dir}\2.Cleaned Databases\LBS Public data"
global Dofiles "${dir}\3.Dofiles\3.Tables and Figures Banking R-R"
global Output "${dir}\4.Tables and Figures\LBS public"

* 1. Tables
********************************************************************************
* Table 1 and Table 2. Intensive Margin
do "${Dofiles}\T1_T2.do"

* Table 4. Role of Offshore Financial Centers (Panel A)
do "${Dofiles}\T4.do"

* Table 5. Intensive Margin with Regional GDPs (only R-R)
do "${Dofiles}\T5.do"

* 2. Figures
********************************************************************************
* Figure 2. The Scale of International Investment Positions (Evolution of Regional Level Investments)
do "${Dofiles}\F2.do"
