********************************************************************************
* Title: Main Do (master dofile)
* Paper: Bilateral International Investments: The Big Sur?
* Last update: June 14 2023
* Authors: Paolo Sabella & Esteban Espinoza
********************************************************************************
/*
The following dofile creates the main databases which will use across the T&Fs. 
See the "readme" file to check how to distribute the folders for replication.
*/

if "`c(username)'"=="Paolo" global dir  "C:\Users\paolo\Dropbox\World Bank\Big Sur\JIE Resubmit 05-2023" // Paolo
if "`c(username)'"=="eeesp"	global dir "C:\Users\eeesp\Dropbox\Big Sur\JIE Resubmit 05-2023" // Esteban
global maindo "${dir}\3.Dofiles"
global docleaning "${maindo}\1.Data Cleaning"
global doTF "${maindo}\2.Tables and Figures"
global doTFBanking "${maindo}\3.Tables and Figures Banking R-R"
set varabbrev on
set more off

** Checking and installing packages:
local inlist2 packages kountry ppmlhdfe ppml xtpqml reghdfe outreg2 ftools
foreach package in `packages' {
capture which `package'
if _rc == 111 {
ssc install `package'
}
}

* 1. Data Cleaning
********************************************************************************
do "${docleaning}\1.Data Cleaning.do"

* 2. Tables and Figures (Withouth Banking)
********************************************************************************
do "${doTF}\2.Tables and Figures.do"

* 3. Tables and Figures Banking R-R
********************************************************************************
do "${doTFBanking}\3.Tables and Figures Banking R-R.do"